works on Windows and Linux, however Linux does not
automatically acquire a compiler like Windows does (not yet at least!).

if you want to change the packages installed by default,
you'll need to edit the `main_packages` and `pypi_packages`
arrays within the script.

### examples

* `automamba hello.py` 
  invoke python to execute a local python file.
  a new environment will be created if none have been made.
* `automamba -c 'print("Hello, world!")'` 
  same as the above, but with the program given on the command-line instead.
* `automamba --create` 
  create a new environment. do this once in a while to keep your packages up to date.
* `AM_ENV=aws automamba --create -c conda-forge 'awscli>=2,<3'` 
  create an environment called "aws" and install `awscli` version 2
  from the conda-forge channel.
* `AM_ENV=aws automamba -m awscli ec2 describe-instances` 
  run an AWS command using the previously created environment.
* `automamba --pip install scipybiteopt==1.2` 
  invoke pip to build and install a package. MSVC will be installed if it isn't already,
  since this example requires a C++ compiler.
* `automamba --mamba repoquery depends pip` 
  invoke mamba to look up dependencies.
* `automamba --wheel` 
  execute `./setup.py` with `bdist_wheel` as an argument.
  this configures environment variables similarly to the `--pip` command.
  (this command will probably be removed in the near future)
